List Curator Playlists

Get playlists created by a curator. Sort columns by platform: spotifylast_updated, followers (default), num_track; applemusiclast_updated (default), num_track; deezerlast_updated (default), followers, num_track.

Path Parameters
  • platform
    Type: string enum
    required

    Streaming platform. Curator playlists are supported on spotify, applemusic, deezer.

    values
    • cm
    • spotify
    • itunes
    • applemusic
    • deezer
  • id
    Type: integer
    min:  
    0
    max:  
    2147483647
    required

    Chartmetric curator ID.

Query Parameters
  • storefront
    Type: string
    min length:  
    2
    max length:  
    2

    ISO 3166-1 alpha-2 country code (2 letters, e.g. 'US', 'BR', 'GB').

  • limit
    Type: integer
    min:  
    1

    Maximum number of items to return per request.

  • offset
    Type: integer
    min:  
    0

    Number of items to skip from the start of the result set; pair with limit to paginate.

  • sortColumn

    Column to sort playlists by. Allowed values vary per platform — see the operation description for the per-platform list.

    • Type: string enum

      Column to sort playlists by. Allowed values vary per platform — see the operation description for the per-platform list.

      values
      • last_updated
      • followers
      • num_track
  • sortOrderDesc
    Type: boolean

    If true, sort sortColumn in descending order. Only allowed when sortColumn is set. Defaults to true.

Responses
  • application/json
Request Example for get/api/curator/{platform}/{id}/playlists
curl https://api.chartmetric.com/api/curator/cm/0/playlists \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "total_length": "134",
  "length": 1,
  "data": [
    {
      "id": 1667152,
      "name": "Dominican Republic Viral 50",
      "playlist_id": "37i9dQZEVXbJWZV7aRNQck",
      "description": "Your daily update of the most viral tracks in Dominican Republic.",
      "image_url": "https://charts-images.scdn.co/assets/locale_en/viral/daily/region_do_large.jpg",
      "sys_last_updated": "2020-11-04T09:17:40.488Z",
      "last_updated": "2020-11-04T09:17:39.956Z",
      "personalized": false,
      "code2": "do",
      "owner_name": "spotifycharts",
      "owner_id": 133000,
      "user_id": "spotifycharts",
      "official": true,
      "tags": [
        {
          "id": 4280,
          "name": "latin"
        }
      ],
      "followers": 23896,
      "num_track": "50",
      "fdiff_week": 43,
      "fdiff_month": 322,
      "catalog": "frontline ",
      "active_ratio": 0
    }
  ]
}